| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOLink.DataFrameViewFactory Class Reference
Inheritance diagram for IOLink.DataFrameViewFactory:

## Public Member Functions
| DataFrameViewFactory (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (DataFrameViewFactory obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (DataFrameViewFactory obj)
static DataFrameView | Allocate (Vector2u64 shape, string[] columnNames, DataType[] columnDataTypes)
| This factory is aimed at creating a DataFrame view.
static DataFrameView | Allocate ()
| This factory aims to create an empty DataFrame view. Columns and rows can be added later.

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Examples
  CreateDataFrame.cs.

## Member Function Documentation

## ◆ Allocate()

static DataFrameView IOLink.DataFrameViewFactory.Allocate | ( | Vector2u64 | shape,
|  | string[] | columnNames,
|  | DataType[] | columnDataTypes
| ) |  |
| inline static

This factory is aimed at creating a DataFrame view.

Parameters

  shape | shape of the allocated dataframe (column count, row count)
  columnNames | Array which contains the name for each column
  columnDataTypes | Array which contains the data type of each column

Returns
  an in-memory DataFrameView

No check is done on inputs. Pass arguments very carefully. columnNames and columnDataTypes shall have the same element count, and their size must be equal to shape[0].

column count and row count cannot be 0. To create an empty dataframe, use the parameterless allocate method.

Examples
  CreateDataFrame.cs.

The documentation for this class was generated from the following file:

- Release/net/generated/DataFrameViewFactory.cs